﻿.swiper {
    width: 100%;
    height: 680px;
    position: relative;
    bottom: 0;
}

.swiper-slide {
    text-align: center;
    font-size: 18px;
    background: #444;
    display: flex;
    justify-content: center;
    align-items: center;
}

    .swiper-slide img {
        display: block;
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

.autoplay-progress {
    position: absolute;
    right: 16px;
    bottom: 16px;
    z-index: 10;
    width: 48px;
    height: 48px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: bold;
    color: var(--swiper-theme-color);
}

    .autoplay-progress svg {
        --progress: 0;
        position: absolute;
        left: 0;
        top: 0px;
        z-index: 10;
        width: 100%;
        height: 100%;
        stroke-width: 4px;
        stroke: var(--swiper-theme-color);
        fill: none;
        stroke-dashoffset: calc(125.6px * (1 - var(--progress)));
        stroke-dasharray: 125.6;
        transform: rotate(-90deg);
    }

.swiper .passadores-internos .swiper-pagination-bullet {
    line-height: 0;
    width: 18px;
    height: 18px;
    padding: 5px;
    cursor: pointer;
    border: 3px solid #fff;
    outline: none;
    background: transparent;
    opacity: 1;
    bottom: 10px;
    position: relative;
}

.swiper .passadores-internos .swiper-pagination-bullet-active {
    background: #fff;
}

.passadores-internos {
    display: none;
    justify-content: center;
    bottom: 75px;
    position: relative;
    background: #005Ca9;
    z-index: 99;
    height: 74px;
    border-radius: 20px 20px 0 0;
    align-items: center;
    width: max-content;
    margin-inline: auto;
    padding-right: 40px;
}

.swiper .passadores-internos .swiper-button-next, .swiper .passadores-internos .swiper-button-prev {
    position: relative;
    background: transparent;
    color: #fff;
    border: none;
}

.swiper .passadores-internos .swiper-pagination {
    position: relative;
    width: auto;
    padding: 0 30px;
    top: 10px;
}

.swiper .passadores-internos .swiper-button-next::after, .swiper .passadores-internos .swiper-button-prev::after {
    content: none !important;
}

.swiper-horizontal > .swiper-pagination-bullets .swiper-pagination-bullet, .swiper-pagination-horizontal.swiper-pagination-bullets .swiper-pagination-bullet {
    margin: 0 var(--swiper-pagination-bullet-horizontal-gap,7px) !important;
}

.botao-play-pause {
    background: transparent;
    border: none;
    color: #fff;
    font-size: 25px;
    top: 3px;
    position: relative;
    margin-left: 25px;
}

.texto-carrossel {
    background-color: #00000050;
    background-position: top left;
    background-repeat: no-repeat;
    color: #fff;
    font-size: 26px;
    margin-top: 0;
    padding: 5px;
    border-radius: 3px;
    font-family: 'CAIXA Std Book';
}

.btn-carrossel {
    border-radius: 3px;
    font-size: 18px;
    line-height: 16px;
    padding: 12px 30px;
    text-decoration: none;
    font-family: 'CAIXA Std Book';
    font-weight: 500;
    cursor: pointer;
    text-decoration: none;
    background-color: #d87b00;
    color: #fff;
}

    .btn-carrossel:hover {
        background-color: #eb9d28;
        color: #fff;
        text-decoration: none;
    }

.titulo-carrossel-interno {
    color: #fff;
    font-family: 'CAIXA Std Book';
    font-size: 4.609rem;
    font-weight: normal;
    text-align: left;
    margin-bottom: 10px;
}

.container-carrossel {
    padding: 6% 6% 0;
}

.swiper .btn-carrossel i {
    padding-right: 15px;
}

.swiper .hero-landing-cta {
    box-shadow: none;
}

.breacrumb-carrossel-interno {
    position: relative;
    top: 150px;
    z-index: 9;
    padding: 0 6%;
}

    .breacrumb-carrossel-interno * {
        color: #fff !important;
    }

.swiper-button-prev:focus-visible, .swiper-button-next:focus-visible {
    outline: none !important;
    box-shadow: none !important;
}

    .swiper-button-prev:focus-visible::after, .swiper-button-next:focus-visible::after {
        outline: 2px solid currentColor !important;
        outline-offset: 2px;
    }

.swiper-pagination-bullet:focus-visible {
    outline: 2px solid;
    outline-offset: 2px;
}

.passadores-internos i {
    position: relative;
    bottom: 20px;
    font-size: 22px;
}

.passadores-internos .icon-play-pause {
    bottom: 0 !important;
}

@media only screen and (min-width: 1160px) {
    .swiper .swiper-slide {
        background-position-x: 0% !important;
    }

    .swiper .texto-carrossel {
        font-size: 20px;
        margin-bottom: 35px;
    }

    .container-carrossel {
        position: relative;
        top: 105px;
    }
}

@media only screen and (max-width: 1160px) {
    .swiper .texto-carrossel {
        font-size: 20px;
        margin-bottom: 35px;
    }

    #btnPlayPause {
        display: none;
    }

    .passadores-internos {
        padding-right: 0px !important;
        max-width: 275px !important;
    }

    .titulo-carrossel-interno {
        margin: 0;
        height: auto;
        max-height: 250px;
        margin-bottom: 12px;
    }

    .texto-carrossel {
        display: -webkit-box;
        -webkit-line-clamp: 8;
        -webkit-box-orient: vertical;
        overflow: hidden;
        text-overflow: ellipsis;
        max-height: 225px;
    }

    .breacrumb-carrossel-interno {
        top: 20px;
    }

    .container-carrossel {
        position: relative;
        top: 25px;
    }
}